<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21507" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_0" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21505"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="RDSRoomSetVC">
            <connections>
                <outlet property="nameLab" destination="8SX-EM-0cc" id="oS8-oP-u5G"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="390" height="844"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" translatesAutoresizingMaskIntoConstraints="NO" id="Bns-ge-KKk">
                    <rect key="frame" x="0.0" y="67" width="390" height="60"/>
                    <subviews>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="wUf-51-cIT">
                            <rect key="frame" x="0.0" y="0.0" width="390" height="60"/>
                            <subviews>
                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="房间名称" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="HM1-eU-DX7">
                                    <rect key="frame" x="23.000000000000004" y="21" width="61.333333333333343" height="18"/>
                                    <fontDescription key="fontDescription" type="system" pointSize="15"/>
                                    <color key="textColor" red="0.1529411765" green="0.18039215689999999" blue="0.23137254900000001" alpha="1" colorSpace="custom" customColorSpace="displayP3"/>
                                    <nil key="highlightedColor"/>
                                </label>
                                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="lzl-uH-B5v" userLabel="line">
                                    <rect key="frame" x="20" y="59.666666666666671" width="350" height="0.3333333333333357"/>
                                    <color key="backgroundColor" red="0.0" green="0.0" blue="0.0" alpha="0.1950560311" colorSpace="custom" customColorSpace="displayP3"/>
                                    <constraints>
                                        <constraint firstAttribute="height" constant="0.5" id="U5k-QR-iWe"/>
                                    </constraints>
                                </view>
                                <imageView clipsSubviews="YES" userInteractionEnabled="NO" alpha="0.5" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="icon_go" translatesAutoresizingMaskIntoConstraints="NO" id="X81-Gj-NMC">
                                    <rect key="frame" x="358.33333333333331" y="23" width="7.6666666666666856" height="14"/>
                                </imageView>
                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="客厅" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="8SX-EM-0cc">
                                    <rect key="frame" x="315.66666666666669" y="21" width="30.666666666666686" height="18"/>
                                    <fontDescription key="fontDescription" type="system" pointSize="15"/>
                                    <color key="textColor" red="0.1529411765" green="0.18039215689999999" blue="0.23137254900000001" alpha="1" colorSpace="calibratedRGB"/>
                                    <color key="highlightedColor" red="0.1529411765" green="0.18039215689999999" blue="0.23137254900000001" alpha="1" colorSpace="calibratedRGB"/>
                                </label>
                                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="pKz-XY-JGe">
                                    <rect key="frame" x="8" y="8" width="374" height="43.666666666666664"/>
                                    <state key="normal" title="Button"/>
                                    <buttonConfiguration key="configuration" style="plain" title=""/>
                                    <connections>
                                        <action selector="onRenameClick:" destination="-1" eventType="touchUpInside" id="KSc-Gv-zqF"/>
                                    </connections>
                                </button>
                            </subviews>
                            <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <constraints>
                                <constraint firstAttribute="trailing" secondItem="pKz-XY-JGe" secondAttribute="trailing" constant="8" id="0IF-Ys-NMX"/>
                                <constraint firstItem="HM1-eU-DX7" firstAttribute="leading" secondItem="wUf-51-cIT" secondAttribute="leading" constant="23" id="3ie-i5-cEE"/>
                                <constraint firstAttribute="trailing" secondItem="lzl-uH-B5v" secondAttribute="trailing" constant="20" id="4Qi-VX-rMf"/>
                                <constraint firstItem="pKz-XY-JGe" firstAttribute="top" secondItem="wUf-51-cIT" secondAttribute="top" constant="8" id="9dG-BH-NyD"/>
                                <constraint firstItem="HM1-eU-DX7" firstAttribute="centerY" secondItem="wUf-51-cIT" secondAttribute="centerY" id="C4o-99-oJy"/>
                                <constraint firstItem="lzl-uH-B5v" firstAttribute="leading" secondItem="wUf-51-cIT" secondAttribute="leading" constant="20" id="EBk-WG-R7j"/>
                                <constraint firstItem="X81-Gj-NMC" firstAttribute="centerY" secondItem="wUf-51-cIT" secondAttribute="centerY" id="NSt-Rc-XbB"/>
                                <constraint firstAttribute="height" constant="60" id="YAX-Qt-Ggc"/>
                                <constraint firstAttribute="trailing" secondItem="X81-Gj-NMC" secondAttribute="trailing" constant="24" id="cn5-jX-5wL"/>
                                <constraint firstItem="8SX-EM-0cc" firstAttribute="centerY" secondItem="wUf-51-cIT" secondAttribute="centerY" id="lBl-bh-eFi"/>
                                <constraint firstItem="X81-Gj-NMC" firstAttribute="leading" secondItem="8SX-EM-0cc" secondAttribute="trailing" constant="12" id="rw9-yy-jLD"/>
                                <constraint firstAttribute="bottom" secondItem="lzl-uH-B5v" secondAttribute="bottom" id="tpj-DE-kWe"/>
                                <constraint firstItem="pKz-XY-JGe" firstAttribute="leading" secondItem="wUf-51-cIT" secondAttribute="leading" constant="8" id="vTA-no-VSJ"/>
                                <constraint firstItem="lzl-uH-B5v" firstAttribute="top" secondItem="pKz-XY-JGe" secondAttribute="bottom" constant="8" id="ywk-Kb-JA2"/>
                            </constraints>
                        </view>
                        <view hidden="YES" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="PUq-a3-HNg">
                            <rect key="frame" x="0.0" y="0.0" width="390" height="60"/>
                            <subviews>
                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="呼吸灯" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="h0j-hb-nqB">
                                    <rect key="frame" x="23" y="21" width="46" height="18"/>
                                    <fontDescription key="fontDescription" type="system" pointSize="15"/>
                                    <color key="textColor" red="0.1529411765" green="0.18039215689999999" blue="0.23137254900000001" alpha="1" colorSpace="custom" customColorSpace="displayP3"/>
                                    <nil key="highlightedColor"/>
                                </label>
                                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="hEW-dv-HhJ" userLabel="line">
                                    <rect key="frame" x="20" y="59.666666666666671" width="350" height="0.3333333333333357"/>
                                    <color key="backgroundColor" red="0.0" green="0.0" blue="0.0" alpha="0.1950560311" colorSpace="custom" customColorSpace="displayP3"/>
                                    <constraints>
                                        <constraint firstAttribute="height" constant="0.5" id="vcX-fU-wFj"/>
                                    </constraints>
                                </view>
                                <imageView hidden="YES" clipsSubviews="YES" userInteractionEnabled="NO" alpha="0.5" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="icon_go" translatesAutoresizingMaskIntoConstraints="NO" id="MCd-aq-NHJ">
                                    <rect key="frame" x="358.33333333333331" y="23" width="7.6666666666666856" height="14"/>
                                </imageView>
                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="chH-9I-eZg">
                                    <rect key="frame" x="346.33333333333331" y="30" width="0.0" height="0.0"/>
                                    <fontDescription key="fontDescription" name="PingFangSC-Regular" family="PingFang SC" pointSize="15"/>
                                    <color key="textColor" red="0.66666666669999997" green="0.66666666669999997" blue="0.66666666669999997" alpha="1" colorSpace="calibratedRGB"/>
                                    <nil key="highlightedColor"/>
                                </label>
                                <switch opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="750" verticalHuggingPriority="750" contentHorizontalAlignment="center" contentVerticalAlignment="center" on="YES" translatesAutoresizingMaskIntoConstraints="NO" id="PU5-Eq-XLs">
                                    <rect key="frame" x="299.33333333333331" y="14.666666666666671" width="51" height="31"/>
                                    <connections>
                                        <action selector="onLightClick:" destination="-1" eventType="touchUpInside" id="KGb-eQ-0Wb"/>
                                    </connections>
                                </switch>
                                <button hidden="YES" opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="WfX-uP-vXu">
                                    <rect key="frame" x="8" y="8" width="374" height="43.666666666666664"/>
                                    <state key="normal" title="Button"/>
                                    <buttonConfiguration key="configuration" style="plain" title=""/>
                                </button>
                            </subviews>
                            <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <constraints>
                                <constraint firstItem="h0j-hb-nqB" firstAttribute="leading" secondItem="PUq-a3-HNg" secondAttribute="leading" constant="23" id="2xp-C1-51G"/>
                                <constraint firstItem="MCd-aq-NHJ" firstAttribute="centerY" secondItem="PUq-a3-HNg" secondAttribute="centerY" id="2za-Eh-p2H"/>
                                <constraint firstItem="PU5-Eq-XLs" firstAttribute="centerY" secondItem="PUq-a3-HNg" secondAttribute="centerY" id="9t2-Gj-OXa"/>
                                <constraint firstItem="hEW-dv-HhJ" firstAttribute="leading" secondItem="PUq-a3-HNg" secondAttribute="leading" constant="20" id="BBo-jE-xdn"/>
                                <constraint firstItem="WfX-uP-vXu" firstAttribute="leading" secondItem="PUq-a3-HNg" secondAttribute="leading" constant="8" id="CF3-oO-lyw"/>
                                <constraint firstAttribute="trailing" secondItem="hEW-dv-HhJ" secondAttribute="trailing" constant="20" id="CFp-wy-nyX"/>
                                <constraint firstItem="MCd-aq-NHJ" firstAttribute="leading" secondItem="chH-9I-eZg" secondAttribute="trailing" constant="12" id="Q7H-4I-DA0"/>
                                <constraint firstItem="MCd-aq-NHJ" firstAttribute="leading" secondItem="PU5-Eq-XLs" secondAttribute="trailing" constant="10" id="Qv8-LE-5Tg"/>
                                <constraint firstItem="chH-9I-eZg" firstAttribute="centerY" secondItem="PUq-a3-HNg" secondAttribute="centerY" id="Ure-8m-bAJ"/>
                                <constraint firstItem="h0j-hb-nqB" firstAttribute="centerY" secondItem="PUq-a3-HNg" secondAttribute="centerY" id="aT9-dg-Cnj"/>
                                <constraint firstAttribute="bottom" secondItem="hEW-dv-HhJ" secondAttribute="bottom" id="ea3-TT-wZz"/>
                                <constraint firstAttribute="height" constant="60" id="f9j-WR-rgv"/>
                                <constraint firstItem="WfX-uP-vXu" firstAttribute="top" secondItem="PUq-a3-HNg" secondAttribute="top" constant="8" id="h6e-zi-NlB"/>
                                <constraint firstItem="hEW-dv-HhJ" firstAttribute="top" secondItem="WfX-uP-vXu" secondAttribute="bottom" constant="8" id="oOL-fL-Ufh"/>
                                <constraint firstAttribute="trailing" secondItem="WfX-uP-vXu" secondAttribute="trailing" constant="8" id="uH6-W2-Jea"/>
                                <constraint firstAttribute="trailing" secondItem="MCd-aq-NHJ" secondAttribute="trailing" constant="24" id="ulD-8w-Czc"/>
                            </constraints>
                            <variation key="default">
                                <mask key="subviews">
                                    <exclude reference="WfX-uP-vXu"/>
                                </mask>
                            </variation>
                        </view>
                        <view hidden="YES" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="HRh-io-znz">
                            <rect key="frame" x="0.0" y="0.0" width="390" height="60"/>
                            <subviews>
                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="检查更新" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="ycu-sg-8wR">
                                    <rect key="frame" x="23.000000000000004" y="21" width="61.333333333333343" height="18"/>
                                    <fontDescription key="fontDescription" type="system" pointSize="15"/>
                                    <color key="textColor" red="0.1529411765" green="0.18039215689999999" blue="0.23137254900000001" alpha="1" colorSpace="custom" customColorSpace="displayP3"/>
                                    <nil key="highlightedColor"/>
                                </label>
                                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="55t-8y-8y3" userLabel="line">
                                    <rect key="frame" x="20" y="59.666666666666671" width="350" height="0.3333333333333357"/>
                                    <color key="backgroundColor" red="0.0" green="0.0" blue="0.0" alpha="0.1950560311" colorSpace="custom" customColorSpace="displayP3"/>
                                    <constraints>
                                        <constraint firstAttribute="height" constant="0.5" id="ZQ6-D0-CZI"/>
                                    </constraints>
                                </view>
                                <imageView hidden="YES" clipsSubviews="YES" userInteractionEnabled="NO" alpha="0.5" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="icon_go" translatesAutoresizingMaskIntoConstraints="NO" id="aKx-YL-9a8">
                                    <rect key="frame" x="358.33333333333331" y="23" width="7.6666666666666856" height="14"/>
                                </imageView>
                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="a2j-7C-1Fo">
                                    <rect key="frame" x="346.33333333333331" y="30" width="0.0" height="0.0"/>
                                    <fontDescription key="fontDescription" name="PingFangSC-Regular" family="PingFang SC" pointSize="15"/>
                                    <color key="textColor" red="0.66666666669999997" green="0.66666666669999997" blue="0.66666666669999997" alpha="1" colorSpace="calibratedRGB"/>
                                    <nil key="highlightedColor"/>
                                </label>
                                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="eKb-re-vip">
                                    <rect key="frame" x="8" y="8" width="374" height="43.666666666666664"/>
                                    <state key="normal" title="Button"/>
                                    <buttonConfiguration key="configuration" style="plain" title=""/>
                                    <connections>
                                        <action selector="onUpdate:" destination="-1" eventType="touchUpInside" id="dmg-kW-Blh"/>
                                    </connections>
                                </button>
                            </subviews>
                            <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <constraints>
                                <constraint firstItem="eKb-re-vip" firstAttribute="top" secondItem="HRh-io-znz" secondAttribute="top" constant="8" id="6wn-OV-Dbk"/>
                                <constraint firstItem="55t-8y-8y3" firstAttribute="top" secondItem="eKb-re-vip" secondAttribute="bottom" constant="8" id="752-vd-2yW"/>
                                <constraint firstAttribute="height" constant="60" id="9OP-Mo-17B"/>
                                <constraint firstAttribute="trailing" secondItem="eKb-re-vip" secondAttribute="trailing" constant="8" id="BfI-70-DH1"/>
                                <constraint firstAttribute="bottom" secondItem="55t-8y-8y3" secondAttribute="bottom" id="Dy4-8k-DRy"/>
                                <constraint firstItem="a2j-7C-1Fo" firstAttribute="centerY" secondItem="HRh-io-znz" secondAttribute="centerY" id="FWf-ya-0Lf"/>
                                <constraint firstItem="eKb-re-vip" firstAttribute="leading" secondItem="HRh-io-znz" secondAttribute="leading" constant="8" id="Xu2-YO-0UK"/>
                                <constraint firstItem="aKx-YL-9a8" firstAttribute="centerY" secondItem="HRh-io-znz" secondAttribute="centerY" id="YsE-de-gja"/>
                                <constraint firstItem="ycu-sg-8wR" firstAttribute="leading" secondItem="HRh-io-znz" secondAttribute="leading" constant="23" id="bCH-aY-8xG"/>
                                <constraint firstItem="ycu-sg-8wR" firstAttribute="centerY" secondItem="HRh-io-znz" secondAttribute="centerY" id="eS7-qE-xQl"/>
                                <constraint firstAttribute="trailing" secondItem="55t-8y-8y3" secondAttribute="trailing" constant="20" id="kf1-kk-zWx"/>
                                <constraint firstItem="aKx-YL-9a8" firstAttribute="leading" secondItem="a2j-7C-1Fo" secondAttribute="trailing" constant="12" id="oI5-p4-5dS"/>
                                <constraint firstAttribute="trailing" secondItem="aKx-YL-9a8" secondAttribute="trailing" constant="24" id="oNB-cW-qI9"/>
                                <constraint firstItem="55t-8y-8y3" firstAttribute="leading" secondItem="HRh-io-znz" secondAttribute="leading" constant="20" id="sN0-JM-tK5"/>
                            </constraints>
                        </view>
                    </subviews>
                    <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <constraints>
                        <constraint firstAttribute="trailing" secondItem="wUf-51-cIT" secondAttribute="trailing" id="OPe-11-aiL"/>
                        <constraint firstItem="wUf-51-cIT" firstAttribute="leading" secondItem="Bns-ge-KKk" secondAttribute="leading" id="R36-px-CSv"/>
                        <constraint firstItem="wUf-51-cIT" firstAttribute="top" secondItem="Bns-ge-KKk" secondAttribute="top" id="aHb-Qg-65s"/>
                    </constraints>
                </stackView>
            </subviews>
            <viewLayoutGuide key="safeArea" id="Q5M-cg-NOt"/>
            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
            <constraints>
                <constraint firstItem="Bns-ge-KKk" firstAttribute="top" secondItem="Q5M-cg-NOt" secondAttribute="top" constant="20" id="LcZ-Wt-F54"/>
                <constraint firstItem="Bns-ge-KKk" firstAttribute="trailing" secondItem="Q5M-cg-NOt" secondAttribute="trailing" id="WOH-nN-aHv"/>
                <constraint firstItem="Bns-ge-KKk" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" id="jv2-sz-9bT"/>
            </constraints>
            <point key="canvasLocation" x="140" y="-1"/>
        </view>
    </objects>
    <resources>
        <image name="icon_go" width="7.6666665077209473" height="14"/>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
